Bug 978177 - Review Request: birdfont - A editor for creating outline vector graphics and exporting fonts
Review Request: birdfont - A editor for creating outline vector graphics and ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: DESIGN-SW
  Show dependency treegraph
 
Reported: 2013-06-26 01:46 EDT by Christopher Meng
Modified: 2015-10-28 01:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
working birdfont.spec (2.03 KB, text/x-rpm-spec)
2013-09-12 12:52 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Christopher Meng 2013-06-26 01:46:02 EDT
Spec URL: http://cicku.me/birdfont.spec
SRPM URL: http://cicku.me/birdfont-0.19-1.fc20.src.rpm
Description: Birdfont is a font editor that creates outline vector graphics and exports fonts in SVG, EOT and TTF format.
Fedora Account System Username: cicku
Comment 1 Christopher Meng 2013-07-06 09:51:53 EDT
NEW SPEC URL: http://cicku.me/birdfont.spec
NEW SRPM URL: http://cicku.me/birdfont-0.21-1.fc20.src.rpm
Comment 2 Michael Schwendt 2013-07-06 10:58:01 EDT
> ./configure

Add a comment that explains why %configure cannot be used.


> Requires:       libbirdfont

This is the reverse case for
  https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package
so apply %_isa in that dependency.

Splitting out a library subpackage when there is no API for that library, is a questionable decision, however. It's an unversioned lib even: %{_libdir}/lib%{name}.so


> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

Wrong package for those two.


> Checking for doit version >= 0.20.0
> [91mNot found[0m

Something wrong there for python-doit-0.21.0 in f19.
Comment 3 Christopher Meng 2013-07-06 11:09:23 EDT
Yes, there are some problem with doit, in fact this package cannot get PASS in the test.

I knew these, but then I found doit has bugs so I just rpmbuild -bs then upload.

I will wait.
Comment 4 Christopher Meng 2013-07-07 06:31:45 EDT
Hmm.. Let me just fix mistakes here first.

NEW SPEC URL: http://cicku.me/birdfont.spec
NEW SRPM URL: http://cicku.me/birdfont-0.21-2.fc20.src.rpm
Comment 5 Parag AN(पराग) 2013-09-12 05:00:56 EDT
can this be updated to current upstream release 0.30 ?
http://birdfont.org/releases/birdfont-0.30.tar.gz
Comment 6 Parag AN(पराग) 2013-09-12 12:52:57 EDT
Created attachment 796952 [details]
working birdfont.spec

After few trial and run, I managed to write a working spec file.
Comment 7 Christopher Meng 2013-09-12 20:27:12 EDT
Comment on attachment 796952 [details]
working birdfont.spec

Please wait. Upstream contacted me with some important info.
Comment 8 Parag AN(पराग) 2013-09-16 02:11:50 EDT
upstream released 0.31 tarball
Comment 9 Parag AN(पराग) 2013-10-21 01:13:53 EDT
any update?
Comment 10 Parag AN(पराग) 2014-02-21 02:41:40 EST
Hi,

Any news here?

Thanks.
Comment 11 Christopher Meng 2014-02-21 04:03:44 EST
Sorry for the delay, I've packaged 0.33(now 0.34 is released) but haven't tested yet, I will post the SRPM later(Next week).

If you find any bugs please feel free to submit them to upstream but not here :)
Comment 12 Parag AN(पराग) 2014-08-22 01:38:15 EDT
Sorry I did not get time to look into new update and also not using this anymore. Therefore leaving this review.
Comment 13 William Moreno 2015-07-27 13:45:19 EDT
Any update here?

Can I take the review?
Comment 14 Luya Tshimbalanga 2015-07-27 19:16:08 EDT
Go ahead.
Comment 15 Christopher Meng 2015-07-27 19:17:30 EDT
(In reply to William Moreno from comment #13)
> Any update here?
> 
> Can I take the review?

Will update.
Comment 16 Christopher Meng 2015-10-28 01:53:01 EDT
Recent version depends on libxmlbird, and its building system is being rewritten, I will wait for a few days.

Note You need to log in before you can comment on or make changes to this bug.